#
# spec file for package perl-Calendar-Simple
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%bcond_with pod
%bcond_with opt

Name:           perl-Calendar-Simple
%define cpan_name Calendar-Simple
Summary:        Perl extension to create simple calendars
Version:        1.21
Release:        19.1
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Calendar-Simple/
Source:         http://www.cpan.org/authors/id/D/DA/DAVECROSS/Calendar-Simple-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
%if 0%{?suse_version} <= 1130
BuildRequires:  perl-macros
%endif
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
%if %{with pod}
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
%endif
%if %{with opt}
BuildRequires:  perl(DateTime)
%endif
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Time::Local)
Requires:       perl(Carp)
Requires:       perl(Config)
Requires:       perl(Time::Local)
%if 0%{?suse_version} > 1010
Recommends:     perl(DateTime)
%endif

%description
A very simple perl module that models a calendar month.

This function returns a data structure representing the dates in a month. The
data structure returned is an array of array references. The first level array
represents the weeks in the month. The second level array contains the actual
days. By default, each week starts on a Sunday and the value in the array is
the date of that day. Any days at the beginning of the first week or the end of
the last week that are from the previous or next month have the value undef.

%prep
%setup -q -n %{cpan_name}-%{version}
%{__chmod} 0644 lib/Calendar/Simple.pm

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Thu Dec  6 2012 mopp@gmx.net
- removed perl-macros for openSUSE 11.4 and higher.
* Wed Aug 24 2011 chris@computersalat.de
- fix deps, build for CentOS
- remove Author from desc
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep 17 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- fix build
* Thu May  6 2010 lnussel@suse.de
- new version 1.21 which fixes testsuite with perl 5.11.0+
- make noarch
* Tue May  6 2008 lrupp@suse.de
- udpate to 1.20:
  + Added Licence.
  + Skip 2100 test on 64-bit systems.
  + Require Perl 5.6 (and, hence, use "our" and "warnings").
* Tue Oct 31 2006 tsieden@suse.de
- initial release 1.17
